Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class PdfPseudoObject

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfObject
          edu.harvard.hul.ois.jhove.module.pdf.PdfPseudoObject

Direct Known Subclasses:
  PdfArrayEnd, PdfDictionaryEnd

    public abstract class PdfPseudoObject

extends PdfObject

Pseudo-objects are entities returned by the parser that don't corresond to objects, such as dictionary and array enders.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfObject
`_genNumber, _objNumber`

Constructor Summary
`PdfPseudoObject()`

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfObject
`getGenNumber, getObjNumber, setGenNumber, setObjNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdfPseudoObject

    public PdfPseudoObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD